public class %Name% implements javax.ejb.EntityBean {
  private javax.ejb.EntityContext ctx;

  public void setEntityContext(javax.ejb.EntityContext context) throws java.rmi.RemoteException, javax.ejb.EJBException  {
    ctx = context;
  }

  public void unsetEntityContext() throws java.rmi.RemoteException, javax.ejb.EJBException  {
    ctx = null;
  }

  public void ejbActivate() throws java.rmi.RemoteException, javax.ejb.EJBException {
  }

  public void ejbPassivate() throws java.rmi.RemoteException, javax.ejb.EJBException {
  }

  public void ejbRemove() throws java.rmi.RemoteException, javax.ejb.EJBException {
  }

  public void ejbStore() throws java.rmi.RemoteException, javax.ejb.EJBException {
  }

  public void ejbLoad() throws java.rmi.RemoteException, javax.ejb.EJBException {
  }
}
